cURL
curl \
-X GET 'MEILISEARCH_URL/indexes/movies/settings/ranking-rules' \
-H 'Authorization: Bearer API_KEY'client.index('movies').getRankingRules()$client->index('movies')->getRankingRules();client.index('movies').get_ranking_rules()client.index("movies").getRankingRulesSettings();client.index('movies').ranking_rulesclient.Index("movies").GetRankingRules()await client.Index("movies").GetRankingRulesAsync();let ranking_rules: Vec<String> = client
.index("movies")
.get_ranking_rules()
.await
.unwrap();await client.index('movies').getRankingRules();client.index("movies").getRankingRules { (result) in
switch result {
case .success(let rankingRules):
print(rankingRules)
case .failure(let error):
print(error)
}
}[]{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "Index `movies` not found.",
"code": "index_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors#index_not_found"
}Ranking rules
Get rankingRules
Returns the current value of the rankingRules setting for the index.
GET
/
indexes
/
{index_uid}
/
settings
/
ranking-rules
cURL
curl \
-X GET 'MEILISEARCH_URL/indexes/movies/settings/ranking-rules' \
-H 'Authorization: Bearer API_KEY'client.index('movies').getRankingRules()$client->index('movies')->getRankingRules();client.index('movies').get_ranking_rules()client.index("movies").getRankingRulesSettings();client.index('movies').ranking_rulesclient.Index("movies").GetRankingRules()await client.Index("movies").GetRankingRulesAsync();let ranking_rules: Vec<String> = client
.index("movies")
.get_ranking_rules()
.await
.unwrap();await client.index('movies').getRankingRules();client.index("movies").getRankingRules { (result) in
switch result {
case .success(let rankingRules):
print(rankingRules)
case .failure(let error):
print(error)
}
}[]{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "Index `movies` not found.",
"code": "index_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors#index_not_found"
}Authorizations
An API key is a token that you provide when making API calls. Read more about how to secure your project.
Include the API key to the Authorization header, for instance:
-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'
If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:
const client = new MeiliSearch({ host: 'MEILISEARCH_URL', apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1' });
Path Parameters
Unique identifier of the index.
Response
Returns the current value of the rankingRules setting.
Sorted by decreasing number of matched query terms.
Available options:
words Was this page helpful?